Get client contact by ID
curl --request GET \
--url https://api.stardex.ai/v1/client-contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/client-contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/client-contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/client-contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/client-contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stardex.ai/v1/client-contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/client-contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "ab12cd34-ef56-7890-ab12-cd34ef567890",
"person_id": "fff66666-0000-1111-2222-333333336666",
"client_id": "bbb22222-cccc-dddd-eeee-ffffffff2222",
"client_contact_status_id": "890e1234-f56a-78b9-c012-345678901234",
"person": {
"id": "fff66666-0000-1111-2222-333333336666",
"name": "Jordan Lee",
"first_name": "Jordan",
"last_name": "Lee",
"current_job_title": "Head of Talent",
"image_url": "https://example.com/jordan-lee.png"
},
"company": {
"id": "bbb22222-cccc-dddd-eeee-ffffffff2222",
"name": "Acme Corp",
"domain": "acme.example.com"
},
"status": {
"id": "890e1234-f56a-78b9-c012-345678901234",
"name": "Active",
"color": "#3b82f6",
"stage_order": 1,
"is_default_status": true
},
"owner_ids": [
"ddd44444-eeee-ffff-0000-111111114444"
],
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-02-01T09:30:00Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Client Contacts
Get client contact by ID
Retrieve a single client contact, including the linked person, client company, and status.
ID: Accepts a client contact UUID or a person UUID — if a person UUID is provided, the associated client contact is resolved automatically.
GET
/
v1
/
client-contacts
/
{id}
Get client contact by ID
curl --request GET \
--url https://api.stardex.ai/v1/client-contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/client-contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/client-contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/client-contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/client-contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stardex.ai/v1/client-contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/client-contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "ab12cd34-ef56-7890-ab12-cd34ef567890",
"person_id": "fff66666-0000-1111-2222-333333336666",
"client_id": "bbb22222-cccc-dddd-eeee-ffffffff2222",
"client_contact_status_id": "890e1234-f56a-78b9-c012-345678901234",
"person": {
"id": "fff66666-0000-1111-2222-333333336666",
"name": "Jordan Lee",
"first_name": "Jordan",
"last_name": "Lee",
"current_job_title": "Head of Talent",
"image_url": "https://example.com/jordan-lee.png"
},
"company": {
"id": "bbb22222-cccc-dddd-eeee-ffffffff2222",
"name": "Acme Corp",
"domain": "acme.example.com"
},
"status": {
"id": "890e1234-f56a-78b9-c012-345678901234",
"name": "Active",
"color": "#3b82f6",
"stage_order": 1,
"is_default_status": true
},
"owner_ids": [
"ddd44444-eeee-ffff-0000-111111114444"
],
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-02-01T09:30:00Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Path Parameters
Client contact UUID or person UUID.
Was this page helpful?